<script setup>
import { mdiCog } from "@mdi/js";
import { computed } from "vue";
import { useStore } from "vuex";
import CardComponent from "@/components/CardComponent.vue";
import GrowingNumber from "@/components/GrowingNumber.vue";
import Icon from "@/components/Icon.vue";
import Image from "@/components/Image.vue";
import Level from "@/components/Level.vue";
import TrendPill from "@/components/TrendPill.vue";
import JbButton from "@/components/JbButton.vue";
import UserAvatar from "@/components/UserAvatar.vue";

const props = defineProps({
  id: {
    type: String,
    required: true,
  },
  label: {
    type: String,
    required: true,
  },

  number: {
    type: String,
    required: true,
  },
  avatar: {
    type: String,
    required: true,
  },
});

const store = useStore();

const darkMode = computed(() => store.state.darkMode);
</script>

<template>
  <card-component>
    <level mobile>
      <div>
        <h1 class="text-2xl leading-tight font-semibold text-pink-250">
          <growing-number :value="number" :prefix="prefix" :suffix="suffix" />
        </h1>
        <h3 class="text-base font-medium mt-2 text-gray-250 dark:text-gray-400">
          {{ label }}
        </h3>
      </div>
      <!-- <img :src="avatar"/> -->
      <icon v-if="icon" :path="avatar" size="48" w="" h="h-10" :class="color" />
    </level>
  </card-component>
</template>
